"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MustQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class MustQuery extends abstract_query_1.AbstractQuery {
    constructor(queries, mustNotQueries = []) {
        super();
        this.queries = queries;
        this.mustNotQueries = mustNotQueries;
    }
    getQuery() {
        return {
            bool: {
                must: this.queries.map(query => query.getQuery()),
                must_not: this.mustNotQueries.map(query => query.getQuery()),
            },
        };
    }
}
exports.MustQuery = MustQuery;
//# sourceMappingURL=must.query.js.map