"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RangeQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class RangeQuery extends abstract_query_1.AbstractQuery {
    constructor(key, ranges) {
        super();
        this.key = key;
        this.ranges = ranges;
    }
    getQuery() {
        const conditions = {};
        for (const range of this.ranges) {
            conditions[range.key] = range.value;
        }
        return { range: { [this.key]: conditions } };
    }
}
exports.RangeQuery = RangeQuery;
//# sourceMappingURL=range.query.js.map